%define name libmaitretarot
%define version 0.1.98
%define release %mkrel 9
%define major 0
%define libname %mklibname maitretarot %major
%define libnamedevel %mklibname -d maitretarot

Summary: The Maitretarot library
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Cards
Source: http://www.nongnu.org/download/maitretarot/devel.pkg/%{version}/%{name}-%{version}.tar.bz2
URL: http://www.nongnu.org/maitretarot/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: glib2-devel
BuildRequires: libxml2-devel

%description
Maitretarot is a tarot server game. Libmaitretarot is a library for
both the server and any client.

%description -l fr
Maitretarot est le serveur pour un jeu de tarot. Libmaitretarot 
est une biblothque pour  la fois le serveur et n'importe quel client.

%package -n %libname
Summary: The Maitretarot library
Group: System/Libraries
Provides: %name = %version-%release

%description -n %libname
Maitretarot is a tarot server game. Libmaitretarot is a library
for both the server and any client.

%description -n %libname -l fr
Maitretarot est le serveur pour un jeu de tarot. Libmaitretarot
est une biblothque pour  la fois le serveur et n'importe quel client.

%package -n %libnamedevel
Summary: Development files from Libmaitretarot
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %{_lib}%{name}0-devel

%description -n %libnamedevel
This package is need to build application wich use Libmaitretarot.

%description -n %libnamedevel -l fr
Ce package est utilis pour compiler les applications qui utilise 
Libmaitretarot.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog 
%{_libdir}/*.so.*

%files -n %libnamedevel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/maitretarot.h



%changelog
* Tue Aug 21 2007 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-9mdv2008.0
+ Revision: 68537
- rebuild

* Wed Apr 25 2007 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-8mdv2008.0
+ Revision: 18028
- rebuild


* Sat Feb 03 2007 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-7mdv2007.0
+ Revision: 116053
- rebuild

* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-6mdv2007.1
+ Revision: 108763
- buildrequires
- rebuild

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-5mdv2007.0
+ Revision: 55062
- rebuild
- Import libmaitretarot

* Tue May 02 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.98-4mdk
- Birthday rebuild !

* Sat Apr 09 2005 Olivier Thauvin <nanardon@mandrake.org> 0.1.98-3mdk
- rebuild, arizona_junior !!!! no new version ?
- pfff, %%mklibname

* Mon Apr 05 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.98-2mdk
- Birthday rebuild !
- arizona_junior, what are you doing ?

